# scoped_lock.h File Reference

## Detailed Description

Simple scope class for dealing with pthread mutex locking.

Definition in file scoped_lock.h.

`#include <pthread.h>`

Include dependency graph for scoped_lock.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | Barry

## Classes

class | Barry::scoped_lock